using Sepehr.ApiGateway.Partners.Contracts.Flight.Refund.V3.GetStatus.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.Refund.V3.GetStatus.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Refund.WebApi
{
    public class GetStatusV3Api
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                    $"{url}/api/Partners/Flight/Refund/V3/GetStatus",
                    request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
